cURL
curl --request POST \
--url https://app.teable.ai/api/import/%7BbaseId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"worksheets":{"property1":{"name":"string","columns":[{"type":"singleLineText","name":"string","sourceColumnIndex":0}],"useFirstRowAsHeader":true,"importData":true},"property2":{"name":"string","columns":[{"type":"singleLineText","name":"string","sourceColumnIndex":0}],"useFirstRowAsHeader":true,"importData":true}},"attachmentUrl":"string","fileType":"csv","notification":true,"tz":"string"}'{
"id": "<string>",
"name": "<string>",
"dbTableName": "<string>",
"description": "<string>",
"icon": "<string>",
"order": 123,
"lastModifiedTime": "<string>",
"defaultViewId": "<string>"
}import
Post import
create table from file
POST
/
import
/
{baseId}
cURL
curl --request POST \
--url https://app.teable.ai/api/import/%7BbaseId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"worksheets":{"property1":{"name":"string","columns":[{"type":"singleLineText","name":"string","sourceColumnIndex":0}],"useFirstRowAsHeader":true,"importData":true},"property2":{"name":"string","columns":[{"type":"singleLineText","name":"string","sourceColumnIndex":0}],"useFirstRowAsHeader":true,"importData":true}},"attachmentUrl":"string","fileType":"csv","notification":true,"tz":"string"}'{
"id": "<string>",
"name": "<string>",
"dbTableName": "<string>",
"description": "<string>",
"icon": "<string>",
"order": 123,
"lastModifiedTime": "<string>",
"defaultViewId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
响应
201 - application/json
Returns data about a table without records
The id of table.
The name of the table.
Table name in backend database. Limitation: 1-63 characters, start with letter, can only contain letters, numbers and underscore, case insensitive, cannot be duplicated with existing db table name in the base.
Pattern:
^[a-z]\w{0,62}$/iThe description of the table.
The emoji icon string of the table.
The last modified time of the table.
The default view id of the table.
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

